import React from 'react';
/**
 * `useDeepCompareMemo` will only recompute the memoized value when one of the
 * `dependencies` has changed.
 *
 * Warning: `useDeepCompareMemo` should not be used with dependencies that
 * are all primitive values. Use `React.useMemo` instead.
 *
 */
export declare function useDeepCompareMemo<T>(factory: () => T, dependencies: React.DependencyList): T;
